<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: MP5K_Base Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d69/class_m_p5_k___base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">MP5K_Base Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>basic mp5 submachine gun  
 <a href="../../d6/d69/class_m_p5_k___base.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for MP5K_Base:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d69/class_m_p5_k___base.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a2f65724b3076e6e43f083a71e9b2bbbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d69/class_m_p5_k___base.html#a2f65724b3076e6e43f083a71e9b2bbbd">MP5K_Base</a> ()</td></tr>
<tr class="separator:a2f65724b3076e6e43f083a71e9b2bbbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c319059a495d2dcf45e92ada512cb28"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d69/class_m_p5_k___base.html#a1c319059a495d2dcf45e92ada512cb28">SpawnRecoilObject</a> ()</td></tr>
<tr class="separator:a1c319059a495d2dcf45e92ada512cb28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2bbff8ea792ce43dbda7814bcda1f27"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d69/class_m_p5_k___base.html#ac2bbff8ea792ce43dbda7814bcda1f27">GetWeaponSpecificCommand</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> weaponAction, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> subCommand)</td></tr>
<tr class="separator:ac2bbff8ea792ce43dbda7814bcda1f27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c8b85af0d745430bbb40cef21c667c4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d69/class_m_p5_k___base.html#a7c8b85af0d745430bbb40cef21c667c4">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:a7c8b85af0d745430bbb40cef21c667c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >basic mp5 submachine gun </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d88/_m_p5_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/d88/_m_p5_8c_source.html">MP5.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2f65724b3076e6e43f083a71e9b2bbbd" name="a2f65724b3076e6e43f083a71e9b2bbbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f65724b3076e6e43f083a71e9b2bbbd">&#9670;&#160;</a></span>MP5K_Base()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MP5K_Base::MP5K_Base </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d88/_m_p5_8c_source.html#l00007">7</a> of file <a class="el" href="../../d9/d88/_m_p5_8c_source.html">MP5.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac2bbff8ea792ce43dbda7814bcda1f27" name="ac2bbff8ea792ce43dbda7814bcda1f27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2bbff8ea792ce43dbda7814bcda1f27">&#9670;&#160;</a></span>GetWeaponSpecificCommand()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MP5K_Base::GetWeaponSpecificCommand </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>weaponAction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>subCommand</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d88/_m_p5_8c_source.html#l00017">17</a> of file <a class="el" href="../../d9/d88/_m_p5_8c_source.html">MP5.c</a>.</p>

</div>
</div>
<a id="a7c8b85af0d745430bbb40cef21c667c4" name="a7c8b85af0d745430bbb40cef21c667c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c8b85af0d745430bbb40cef21c667c4">&#9670;&#160;</a></span>OnDebugSpawn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MP5K_Base::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d88/_m_p5_8c_source.html#l00044">44</a> of file <a class="el" href="../../d9/d88/_m_p5_8c_source.html">MP5.c</a>.</p>

</div>
</div>
<a id="a1c319059a495d2dcf45e92ada512cb28" name="a1c319059a495d2dcf45e92ada512cb28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c319059a495d2dcf45e92ada512cb28">&#9670;&#160;</a></span>SpawnRecoilObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> MP5K_Base::SpawnRecoilObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d88/_m_p5_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/d88/_m_p5_8c_source.html">MP5.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/Firearms/SMG/<a class="el" href="../../d9/d88/_m_p5_8c_source.html">MP5.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d69/class_m_p5_k___base.html">MP5K_Base</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
